/**
 * Copyright (c) 2009 Carnegie Mellon University.
 * All rights reserved.
 *
 * Permission to use this software and its documentation for any purpose is
 * hereby granted, provided that the above copyright notice appear and that
 * both that copyright notice and this permission notice appear in supporting
 * documentation, and that the name of CMU not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.
 *
 * CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WSTRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL CMU BE
 * LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, RISING OUT OF OR
 * IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * GCC is free software; you can redistribute it and/or modify it under|
 * the terms of the GNU General Public License as published by the Free|
 * Software Foundation; either version 3, or (at your option) any later|
 * version.|
 * |
 * GCC is distributed in the hope that it will be useful, but WITHOUT ANY|
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or|
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License|
 * for more details.|
 * |
 * You should have received a copy of the GNU General Public License|
 * along with GCC; see the file COPYING3.  If not see|
 * <http://www.gnu.org/licenses/>.
 */


/* THIS FILE SHOULD ONLY BE INCLUDED FROM opts.c */
#include "air-optab.h"

void (*air_add_1)(rtx, rtx *, const char *)=NULL;
void (*air_add_2)(rtx, rtx *, const char *)=NULL;
void (*air_mul3_1)(rtx *, const char *)=NULL;
void (*air_negsi2_1)(rtx *)=NULL;
void (*air_ashlsi3_1)(rtx, rtx *)=NULL;
void (*air_add3_carry)(rtx *, const char *)=NULL;
void (*air_sub_1)(rtx *, const char *)=NULL;
/*
void (*air_expand_binop)(unsigned int, optab, rtx, rtx)=NULL;

void (*air_set_sign1)(unsigned int, rtx)=NULL;
void (*air_set_sign2)(unsigned int, rtx, rtx)=NULL;
void (*air_set_sign3)(unsigned int, rtx, rtx, rtx)=NULL;
void (*air_set_sign4)(unsigned int, rtx, rtx, rtx, rtx)=NULL;
void (*air_copy_sign)(rtx, rtx)=NULL;
void (*air_set_sign_direct)(unsigned int, rtx)=NULL;
void (*air_whitelist_rtx)(rtx)=NULL;
void (*air_emit_truncation_checks)(unsigned int, enum machine_mode, rtx, 
	unsigned int, enum machine_mode)=NULL;
*/
void *air_handle=NULL;

